Bug 1024783 - [abrt] yum-utils-1.1.31-18.fc19: misc.py:798:_decompress_chunked:MiscError: Error writing to file /home/brian/tmp/yum-brian-k9yuwO/x86_64/19/fedora/gen/filelists_db.sqlite: [Errno 28] No space left on device
[abrt] yum-utils-1.1.31-18.fc19: misc.py:798:_decompress_chunked:MiscError: E...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
abrt_hash:bb176957dbb02312516258a64ae...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-30 08:29 EDT by Brian J. Murrell
Modified: 2013-12-16 02:06 EST (History)
4 users (show)

See Also:
Fixed In Version: yum-utils-1.1.31-19.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-16 02:06:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.39 KB, text/plain)
2013-10-30 08:29 EDT, Brian J. Murrell
no flags Details
File: environ (3.67 KB, text/plain)
2013-10-30 08:29 EDT, Brian J. Murrell
no flags Details

  None (edit)
Description Brian J. Murrell 2013-10-30 08:29:50 EDT
Version-Release number of selected component:
yum-utils-1.1.31-18.fc19

Additional info:
reporter:       libreport-2.1.8
cmdline:        /usr/bin/python -tt /bin/repoquery --whatrequires lxpolkit
dso_list:       yum-3.4.3-111.fc19.noarch
executable:     /bin/repoquery
kernel:         3.11.6-200.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1001

Truncated backtrace:
misc.py:798:_decompress_chunked:MiscError: Error writing to file /home/brian/tmp/yum-brian-k9yuwO/x86_64/19/fedora/gen/filelists_db.sqlite: [Errno 28] No space left on device

Traceback (most recent call last):
  File "/bin/repoquery", line 1547, in <module>
    main(sys.argv)
  File "/bin/repoquery", line 1537, in main
    repoq.runQuery(regexs)
  File "/bin/repoquery", line 995, in runQuery
    for p in self.doQuery(oper, prco):
  File "/bin/repoquery", line 1034, in doQuery
    return getattr(self, "fmt_%s" % method)(*args, **kw)
  File "/bin/repoquery", line 1073, in fmt_whatrequires
    require_recursive(name)
  File "/bin/repoquery", line 1060, in require_recursive
    provs.extend(pkg.files())
  File "/bin/repoquery", line 662, in files
    for ftype in self.pkg.returnFileTypes():
  File "/usr/lib/python2.7/site-packages/yum/sqlitesack.py", line 373, in returnFileTypes
    self._loadFiles()
  File "/usr/lib/python2.7/site-packages/yum/sqlitesack.py", line 294, in _loadFiles
    self.sack.populate(self.repo, mdtype='filelists')
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 239, in populate
    mydbtype)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 284, in _check_uncompressed_db_gen
    cached=repo.cache)
  File "/usr/lib/python2.7/site-packages/yum/misc.py", line 1162, in repo_gen_decompress
    return decompress(filename, dest=dest, check_timestamps=True)
  File "/usr/lib/python2.7/site-packages/yum/misc.py", line 1147, in decompress
    _decompress_chunked(filename, out, ztype)
  File "/usr/lib/python2.7/site-packages/yum/misc.py", line 798, in _decompress_chunked
    raise Errors.MiscError, msg
MiscError: Error writing to file /home/brian/tmp/yum-brian-k9yuwO/x86_64/19/fedora/gen/filelists_db.sqlite: [Errno 28] No space left on device

Local variables in innermost frame:
e: IOError(28, 'No space left on device')
dest: '/home/brian/tmp/yum-brian-k9yuwO/x86_64/19/fedora/gen/filelists_db.sqlite'
destination: <open file '/home/brian/tmp/yum-brian-k9yuwO/x86_64/19/fedora/gen/filelists_db.sqlite', mode 'w' at 0x1301810>
source: '/home/brian/tmp/yum-brian-k9yuwO/x86_64/19/fedora/5a2b6a5f54f3224d10fd0664c048cde0b11d4a851e19e13ab981dde401079663-filelists.sqlite.bz2'
s_fn: <bz2.BZ2File object at 0x14077e8>
msg: 'Error writing to file /home/brian/tmp/yum-brian-k9yuwO/x86_64/19/fedora/gen/filelists_db.sqlite: [Errno 28] No space left on device'
data: '...'
ztype: 'bz2'
Comment 1 Brian J. Murrell 2013-10-30 08:29:54 EDT
Created attachment 817450 [details]
File: backtrace
Comment 2 Brian J. Murrell 2013-10-30 08:29:57 EDT
Created attachment 817452 [details]
File: environ
Comment 3 Brian J. Murrell 2013-10-30 08:32:35 EDT
ENOSPC really ought to be caught and handled.  It happens from time to time.
Comment 4 Zdeněk Pavlas 2013-10-31 06:03:11 EDT
Fixed upstream, thanks! http://yum.baseurl.org/gitweb?p=yum-utils.git;a=commitdiff;h=b2bfab1
Comment 5 Fedora Update System 2013-12-13 06:46:00 EST
yum-utils-1.1.31-19.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/yum-utils-1.1.31-19.fc20
Comment 6 Fedora Update System 2013-12-13 12:55:09 EST
Package yum-utils-1.1.31-19.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing yum-utils-1.1.31-19.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23330/yum-utils-1.1.31-19.fc20
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-12-16 02:06:04 EST
yum-utils-1.1.31-19.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.